Bug 1337954 - [abrt] x-tile: XDefaultRootWindow(): python2.7 killed by SIGSEGV
Summary: [abrt] x-tile: XDefaultRootWindow(): python2.7 killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: x-tile
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mohamed El Morabity
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:286793b628c2faf0d9ba429a00c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-20 14:25 UTC by Joe Gallagher
Modified: 2016-12-20 20:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 20:38:22 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (51.65 KB, text/plain)
2016-05-20 14:25 UTC, Joe Gallagher
no flags Details
File: cgroup (229 bytes, text/plain)
2016-05-20 14:25 UTC, Joe Gallagher
no flags Details
File: core_backtrace (6.71 KB, text/plain)
2016-05-20 14:25 UTC, Joe Gallagher
no flags Details
File: dso_list (10.91 KB, text/plain)
2016-05-20 14:25 UTC, Joe Gallagher
no flags Details
File: environ (2.63 KB, text/plain)
2016-05-20 14:25 UTC, Joe Gallagher
no flags Details
File: exploitable (82 bytes, text/plain)
2016-05-20 14:25 UTC, Joe Gallagher
no flags Details
File: limits (1.29 KB, text/plain)
2016-05-20 14:25 UTC, Joe Gallagher
no flags Details
File: maps (50.44 KB, text/plain)
2016-05-20 14:25 UTC, Joe Gallagher
no flags Details
File: mountinfo (4.26 KB, text/plain)
2016-05-20 14:25 UTC, Joe Gallagher
no flags Details
File: namespaces (85 bytes, text/plain)
2016-05-20 14:25 UTC, Joe Gallagher
no flags Details
File: open_fds (432 bytes, text/plain)
2016-05-20 14:25 UTC, Joe Gallagher
no flags Details
File: proc_pid_status (1.04 KB, text/plain)
2016-05-20 14:25 UTC, Joe Gallagher
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-05-20 14:25 UTC, Joe Gallagher
no flags Details

Description Joe Gallagher 2016-05-20 14:25:05 UTC
Description of problem:
First I run cssh.  That disables the moving of any windows.
I then ran x-tile to see if I could have them re-organize but it crashed.

Version-Release number of selected component:
x-tile-2.5-5.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/bin/x-tile
crash_function: XDefaultRootWindow
executable:     /usr/bin/python2.7
global_pid:     11827
kernel:         4.4.9-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            714

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 XDefaultRootWindow at Macros.c:52
 #1 ffi_call_unix64 at ../src/x86/unix64.S:76
 #2 ffi_call at ../src/x86/ffi64.c:525
 #3 _call_function_pointer at /usr/src/debug/Python-2.7.11/Modules/_ctypes/callproc.c:836
 #4 _ctypes_callproc at /usr/src/debug/Python-2.7.11/Modules/_ctypes/callproc.c:1179
 #5 PyCFuncPtr_call at /usr/src/debug/Python-2.7.11/Modules/_ctypes/_ctypes.c:3965
 #6 PyObject_Call at /usr/src/debug/Python-2.7.11/Objects/abstract.c:2546
 #7 do_call at /usr/src/debug/Python-2.7.11/Python/ceval.c:4645
 #8 call_function at /usr/src/debug/Python-2.7.11/Python/ceval.c:4450
 #9 PyEval_EvalFrameEx at /usr/src/debug/Python-2.7.11/Python/ceval.c:3061

Comment 1 Joe Gallagher 2016-05-20 14:25:08 UTC
Created attachment 1159960 [details]
File: backtrace

Comment 2 Joe Gallagher 2016-05-20 14:25:09 UTC
Created attachment 1159961 [details]
File: cgroup

Comment 3 Joe Gallagher 2016-05-20 14:25:10 UTC
Created attachment 1159962 [details]
File: core_backtrace

Comment 4 Joe Gallagher 2016-05-20 14:25:11 UTC
Created attachment 1159963 [details]
File: dso_list

Comment 5 Joe Gallagher 2016-05-20 14:25:11 UTC
Created attachment 1159964 [details]
File: environ

Comment 6 Joe Gallagher 2016-05-20 14:25:12 UTC
Created attachment 1159965 [details]
File: exploitable

Comment 7 Joe Gallagher 2016-05-20 14:25:13 UTC
Created attachment 1159966 [details]
File: limits

Comment 8 Joe Gallagher 2016-05-20 14:25:14 UTC
Created attachment 1159967 [details]
File: maps

Comment 9 Joe Gallagher 2016-05-20 14:25:15 UTC
Created attachment 1159968 [details]
File: mountinfo

Comment 10 Joe Gallagher 2016-05-20 14:25:16 UTC
Created attachment 1159969 [details]
File: namespaces

Comment 11 Joe Gallagher 2016-05-20 14:25:17 UTC
Created attachment 1159970 [details]
File: open_fds

Comment 12 Joe Gallagher 2016-05-20 14:25:18 UTC
Created attachment 1159971 [details]
File: proc_pid_status

Comment 13 Joe Gallagher 2016-05-20 14:25:19 UTC
Created attachment 1159972 [details]
File: var_log_messages

Comment 14 Fedora End Of Life 2016-11-25 09:06:15 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2016-12-20 20:38:22 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.